pcl::cuda::ScopeTimeCPU Class Reference
Module common

Class to measure the time spent in a scope. More...

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/common/include/pcl/cuda/time_cpu.h>`

## Public Member Functions

| ScopeTimeCPU (const char *title)
| ~ScopeTimeCPU ()

## Detailed Description

Class to measure the time spent in a scope.

To use this class, e.g. to measure the time spent in a function, just create an instance at the beginning of the function.

Definition at line 67 of file time_cpu.h.

## Constructor & Destructor Documentation

## ScopeTimeCPU()

pcl::cuda::ScopeTimeCPU::ScopeTimeCPU | ( | const char * | title | ) |

inline

Definition at line 127 of file time_cpu.h.

References pcl::cuda::getTime().

## ~ScopeTimeCPU()

pcl::cuda::ScopeTimeCPU::~ScopeTimeCPU | ( |  | ) |

inline

Definition at line 132 of file time_cpu.h.

References pcl::cuda::getTime().

The documentation for this class was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/common/include/pcl/cuda/time_cpu.h